HOWTO:包含QQ的Gaim2.0.0编译指南

上网、浏览、聊天、下载等
头像
jazzi
帖子: 532
注册时间: 2005-10-16 23:26
来自: 泉州
送出感谢: 0
接收感谢: 3 次
联系:

HOWTO:包含QQ的Gaim2.0.0编译指南

#1

帖子 jazzi » 2006-08-13 11:57

开发中的GAIM2.0终于内置了QQ插件,个人试验感觉相比openq登录速度更快,也比较稳定,不会老断线。
现在已经有现成的deb包可以安装:
1,可以到这里下载(注意这个disabled QQ):http://mighmos.org/packages.php
注意:要同时安装Gaim Date Files
2,到Gaim中国下载,无需另外安装Gaim Date Files
3,beta4发布,具体请看41楼,这里 下载

Deb包下载具体请看15楼,如果是不想编译直接安装的deb包,若想支持声音,一定要安装这个包:
gstreamer0.10-plugins-good
下面是我自己的编译过程:(感谢chylli的文章viewtopic.php?t=21584
1。#安装SVN工具

代码: 全选

sudo apt-get install subversion      
2。#安装编译工具和依赖包

代码: 全选

sudo apt-get install build-essential libglib2.0-dev libgtk2.0-dev libgnutls-dev intltool libtool libgstreamer0.10-dev libgtkspell-dev       
3。#让gaim支持声效

代码: 全选

sudo apt-get install libao-dev libaudiofile-dev  gstreamer0.10-plugins-good  
4。#取回源代码

代码: 全选

svn co https://svn.sourceforge.net/svnroot/gaim/trunk gaim      
5。

代码: 全选

cd gaim
./autogen.sh
./configure --enable-gnutls=yes
make 
sudo make install
6。安装开头说的Gaim Date Files

####################
[update gaim声明]
要更新SVN中的Gaim,你无须重复以上步骤,只需要这样:

代码: 全选

svn update
make
sudo make install
########################
[关于Gaim无法发声的解决办法]
1,在[preference]里的[sound method]里选[command]然后用
aplay %s
2,安装gnome-media试试

参考消息来源:linuxsir
上次由 jazzi 在 2006-10-24 7:31,总共编辑 12 次。
You make it fun
It will make you fun
fteye
帖子: 201
注册时间: 2005-11-18 20:52
送出感谢: 0
接收感谢: 0

#2

帖子 fteye » 2006-08-13 19:58

比较爽的是一个对话框里面,一个标签是qq对话框,一个标签是msn对话框
但如果同时登录了qq和msn,怎么设置一个隐身,一个在线呀?感觉只能同时设置!
头像
tigeric
帖子: 85
注册时间: 2006-04-07 23:31
来自: beijing
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 tigeric » 2006-08-13 20:24

那个协议是 qq的阿?
zhufigo
帖子: 23
注册时间: 2006-07-05 22:55
送出感谢: 0
接收感谢: 0

#4

帖子 zhufigo » 2006-08-13 22:19

http://mighmos.org/packages.php
这个链接里的包好像没有QQ啊。
svn的我没法下。哪里还有能下的包呢?
oink
帖子: 33
注册时间: 2006-08-01 11:12
送出感谢: 0
接收感谢: 0

#5

帖子 oink » 2006-08-13 22:22

fteye 写了:比较爽的是一个对话框里面,一个标签是qq对话框,一个标签是msn对话框
但如果同时登录了qq和msn,怎么设置一个隐身,一个在线呀?感觉只能同时设置!
可以分别设置的阿。
oink
帖子: 33
注册时间: 2006-08-01 11:12
送出感谢: 0
接收感谢: 0

#6

帖子 oink » 2006-08-13 22:23

问一下楼主,功能上有什么更新吗?

我这里没有登录速度不快和不稳定的问题
chylli
帖子: 18
注册时间: 2006-01-13 13:09
送出感谢: 0
接收感谢: 0

Re: 包含QQ的Gaim2.0.0-SVN版本下载

#7

帖子 chylli » 2006-08-14 8:32

jazzi 写了:开发中的GAIM2.0终于内置了QQ插件,个人试验感觉相比openq登录速度更快,也比较稳定,不会老断线。
现在已经有现成的deb包可以安装,可以到这里下载:http://mighmos.org/packages.php
注意:要同时安装Gaim Date Files
哪有date files ?
是data files ?
是debian包还是也是tar.gz?
url是什么?
jazzi 写了: 下面是我自己的编译过程:(感谢chylli的文章viewtopic.php?t=21584
1。#安装SVN工具

代码: 全选

sudo apt-get install subversion      
2。#安装编译工具和依赖包

代码: 全选

sudo apt-get install build-essiensial libglib2.0-dev libgtk2.0-dev libgnutls-dev intltool libtool libgstreamer0.10-dev libgtkspell-dev       
3。#让gaim支持声效

代码: 全选

sudo apt-get install libao-dev libaudiofile-dev     
是指的来消息时的吗?
我的还是控制台响铃,来了消息就'滴'一声,好难听,不如原来的好听,有没有办法?我没有合适的音频文件.
jazzi 写了: 4。#取回源代码

代码: 全选

svn co https://svn.sourceforge.net/svnroot/gaim/trunk gaim      
5。

代码: 全选

cd gaim
./autogen.sh
./configure --enable-gnutls=yes --disable-icq
sudo make 
6。安装开头说的Gaim Date Files
谢谢楼主
头像
jazzi
帖子: 532
注册时间: 2005-10-16 23:26
来自: 泉州
送出感谢: 0
接收感谢: 3 次
联系:

#8

帖子 jazzi » 2006-08-14 19:49

关于音效,我的也很奇怪。我的情况是这样的,我自己编译的后使用声音完全正常,昨天因为重装了,因为是Server模式+Fluxbox,所以一些GNOME下的包就没有了,重装好后我先装源中的gaim1.5,试了一下,声音正常,让她自动弄好依赖,然后再彻底删除,用自己前几天编译好了的deb包安装,声音却不行。
查了一些文档,说要装好libao和audiofile这两个文件,再不行编辑/etc/libao.conf指定
default_driver=alsa
这些都搞了可是还是不行 8) 8) 8)
哪位仁兄有良方啊 :lol:

终端错误信息显示好像是gstreamer的问题:
(gaim:5799): GSteamer-CTITICAL **:gst_element_set_state:assertion 'GST_IS_ELENT (element)' failed
You make it fun
It will make you fun
Ericzhao82
帖子: 275
注册时间: 2006-07-05 16:47
送出感谢: 0
接收感谢: 0

#9

帖子 Ericzhao82 » 2006-08-15 10:06

请问下,我的gaim版本是1.5,我只想安装个gaim qq插件,让他可以支持qq,仅此而已

针对上面需求,我该如何做呢??

请老大指教,谢谢。
Ericzhao82
帖子: 275
注册时间: 2006-07-05 16:47
送出感谢: 0
接收感谢: 0

#10

帖子 Ericzhao82 » 2006-08-15 12:50

zhufigo 写了:http://mighmos.org/packages.php
这个链接里的包好像没有QQ啊。
svn的我没法下。哪里还有能下的包呢?
是呀,我就是从这个链接下载升级安装的。

但是现在我的gaim虽然是2.0beta3版本,但是仍旧没有qq
jl_chang
帖子: 115
注册时间: 2006-01-14 1:13
送出感谢: 0
接收感谢: 0

#11

帖子 jl_chang » 2006-08-16 1:21

我也一样,和楼主相同的编译过程,依然没有QQ。之前用的是beta2。
jl_chang
帖子: 115
注册时间: 2006-01-14 1:13
送出感谢: 0
接收感谢: 0

#12

帖子 jl_chang » 2006-08-16 1:22

一开始安装两个deb包,没有Q,干掉后用编译,还是没有,不知道是否需要进行某些设置??
chylli
帖子: 18
注册时间: 2006-01-13 13:09
送出感谢: 0
接收感谢: 0

#13

帖子 chylli » 2006-08-16 8:18

jazzi 写了:关于音效,我的也很奇怪。我的情况是这样的,我自己编译的后使用声音完全正常,昨天因为重装了,因为是Server模式+Fluxbox,所以一些GNOME下的包就没有了,重装好后我先装源中的gaim1.5,试了一下,声音正常,让她自动弄好依赖,然后再彻底删除,用自己前几天编译好了的deb包安装,声音却不行。
查了一些文档,说要装好libao和audiofile这两个文件,再不行编辑/etc/libao.conf指定
default_driver=alsa
这些都搞了可是还是不行 8) 8) 8)
哪位仁兄有良方啊 :lol:

终端错误信息显示好像是gstreamer的问题:
(gaim:5799): GSteamer-CTITICAL **:gst_element_set_state:assertion 'GST_IS_ELENT (element)' failed
2.0音效用的是gstreamer,需要安装
aptitude install libgstreamer0.10-dev
编译安装完后选声音的'auto'即可
头像
jazzi
帖子: 532
注册时间: 2005-10-16 23:26
来自: 泉州
送出感谢: 0
接收感谢: 3 次
联系:

#14

帖子 jazzi » 2006-08-17 12:32

chylli 写了: 2.0音效用的是gstreamer,需要安装
aptitude install libgstreamer0.10-dev
编译安装完后选声音的'auto'即可
谢谢提示,我自己编译的时候已经有装这个了,仍然不行。
比较奇怪的是同一个deb包,我在标准ubuntu下可以,而在server模式+fluxbox安装下却不行
You make it fun
It will make you fun
头像
jazzi
帖子: 532
注册时间: 2005-10-16 23:26
来自: 泉州
送出感谢: 0
接收感谢: 3 次
联系:

#15

帖子 jazzi » 2006-08-17 13:08

Ericzhao82 写了: 是呀,我就是从这个链接下载升级安装的。

但是现在我的gaim虽然是2.0beta3版本,但是仍旧没有qq
我已经把我编译的deb包上传到ubuntu.org.cn的FTP上了,在gaim目录里
8月16日的svn版本

ubuntu.org.cn的FTP帐户
地址ubuntu.org.cn
用户ubuntuftp
密码newpass123
如果终端下不知怎么使用FTP下载的话,可以参考一下这里
jazzi's blog:weblog.php?w=142
You make it fun
It will make you fun
回复

回到 “因特网相关软件”